| eRPC API Reference Rev. 1.8.1 NXP Semiconductors

- Main Page
- API Reference
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
StaticMessageBufferFactory Class Reference

Static Message buffer factory. More...

Inheritance diagram for StaticMessageBufferFactory:
[legend]
Collaboration diagram for StaticMessageBufferFactory:
[legend]

## Public Member Functions
| StaticMessageBufferFactory (void)
| Constructor.
virtual | ~StaticMessageBufferFactory (void)
| CodecFactory destructor.
virtual MessageBuffer | create (void)
| This function creates new message buffer. More...
virtual void | dispose (MessageBuffer *buf)
| This function disposes message buffer. More...
Public Member Functions inherited from erpc::MessageBufferFactory
| MessageBufferFactory (void)
| Constructor. More...
virtual | ~MessageBufferFactory (void)
| ClientManager destructor.
virtual bool | createServerBuffer (void)
| This function informs server if it has to create buffer for received message. More...
virtual erpc_status_t | prepareServerBufferForSend (MessageBuffer *message)
| This function is preparing output buffer on server side. More...

## Protected Attributes
uint8_t | m_freeBufferBitmap [(ERPC_DEFAULT_BUFFERS_COUNT >> 3U)+1U]
uint64_t | m_buffers [ERPC_DEFAULT_BUFFERS_COUNT][ERPC_BUFFER_SIZE_UINT64]
Semaphore | m_semaphore

## Detailed Description

Static Message buffer factory.

## Member Function Documentation

virtual MessageBuffer StaticMessageBufferFactory::create | ( | void |  | ) |
| inline virtual

This function creates new message buffer.

Returns
  MessageBuffer New created MessageBuffer.

Implements erpc::MessageBufferFactory.

virtual void StaticMessageBufferFactory::dispose | ( | MessageBuffer * | buf | ) |
| inline virtual

This function disposes message buffer.

Parameters

  [in] | buf | MessageBuffer to dispose.

Implements erpc::MessageBufferFactory.

## Member Data Documentation

uint8_t StaticMessageBufferFactory::m_freeBufferBitmap[(ERPC_DEFAULT_BUFFERS_COUNT >> 3U)+1U]
| protected

Bitmat of used/not used buffers.

uint64_t StaticMessageBufferFactory::m_buffers[ERPC_DEFAULT_BUFFERS_COUNT][ERPC_BUFFER_SIZE_UINT64]
| protected

Static buffers.

Semaphore StaticMessageBufferFactory::m_semaphore
| protected

Semaphore.

The documentation for this class was generated from the following file:

- erpc_setup_mbf_static.cpp